<template>
  <nav>
    <img src="@/assets/images/logo.svg" alt="Ubook" />
    <div class="wrapper">
      <Button v-if="showCreateContact" @click="createContact()" data-testid="button">
        <img src="@/assets/icons/ic-plus.svg" alt="ADD Icon" />
        Criar contato
      </Button>

      <div class="input">
        <Input nav v-model="searchData" placeholder="Buscar..." @input="search()" append="ic-search" />
      </div>
    </div>
  </nav>
</template>

<script lang="ts">
import { defineComponent, ref } from '@vue/composition-api';
import { Button, Input } from '@/components';
import { useDebounce } from '@/utils';

export default defineComponent({
  name: 'Navbar',
  components: {
    Button,
    Input,
  },
  emits: {
    createContact: null,
    search: null,
  },
  props: {
    showCreateContact: {
      type: Boolean,
      default: false,
    },
  },

  setup(_, { emit }) {
    const searchData = ref('');

    const createContact = () => {
      emit('createContact');
    };

    const search = useDebounce(() => {
      emit('search', searchData.value);
    }, 500);

    return { searchData, createContact, search };
  },
});
</script>

<style scoped lang="scss">
@import './Navbar.scss';
</style>
